ID CVE-2017-0904
Summary The private_address_check ruby gem before 0.4.0 is vulnerable to a bypass due to use of Ruby's Resolv.getaddresses method, which is OS-dependent and should not be relied upon for security measures, such as when used to blacklist private network addresses to prevent server-side request forgery.
References
Vulnerable Configurations
CVSS
Base: 6.8
Impact:
Exploitability:
CWE CWE-254
CAPEC
refmap via4
confirm
misc
Last major update 13-11-2017 - 12:29
Published 13-11-2017 - 12:29
Last modified 29-11-2017 - 13:56
Back to Top